//////////////////////////////////////////////////////////////////////////////
// NAME.......: WizPropertySheet.CPP                                               
// PURPOSE....: base class for wizard property sheet
// WRITTEN....: 96/09/27 by Darko Juvan
// DESCRIPTION: 
//
// This code and information is provided "as is" without warranty of any
// kind, either expressed or implied, including but not limited to the
// implied warranties of merchantability and/or fitness for a particular
// purpose..
//
// Copyright (c) 1998  Multiactive Software Inc.  All Rights Reserved.
//
//////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "resource.h"
#include "WizPropertySheet.h"
#include "TransBlt.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWizPropertySheet

IMPLEMENT_DYNAMIC(CWizPropertySheet, CPropertySheet)

//////////////////////////////////////////////////////////////////////////////
//                        
// FUNCTION...: CWizPropertySheet()
//                                                  
// DESCRIPTION: constructor
//
//////////////////////////////////////////////////////////////////////////////
CWizPropertySheet::CWizPropertySheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

//////////////////////////////////////////////////////////////////////////////
//                        
// FUNCTION...: CWizPropertySheet()
//                                                  
// DESCRIPTION: constructor
//
//////////////////////////////////////////////////////////////////////////////
CWizPropertySheet::CWizPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}
//////////////////////////////////////////////////////////////////////////////
//                        
// FUNCTION...: CWizPropertySheet()
//                                                  
// DESCRIPTION: constructor
//
//////////////////////////////////////////////////////////////////////////////
CWizPropertySheet::CWizPropertySheet()
	:CPropertySheet()
{
	m_completed = 0;
	m_personal = 0;
	m_alarm = 0;
	m_alarm_time = 0;
	m_iconType = 0; 
	m_bmp.LoadBitmap(IDB_LOGO);

}

//////////////////////////////////////////////////////////////////////////////
//                        
// FUNCTION...: ~CWizPropertySheet()
//                                                  
// DESCRIPTION: destructor
//
//////////////////////////////////////////////////////////////////////////////
CWizPropertySheet::~CWizPropertySheet()
{
	m_bmp.DeleteObject();
}


BEGIN_MESSAGE_MAP(CWizPropertySheet, CPropertySheet)
	//{{AFX_MSG_MAP(CWizPropertySheet)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CWizPropertySheet message handlers

//////////////////////////////////////////////////////////////////////////////
//                        
// FUNCTION...: OnPaint()
//                                                  
// DESCRIPTION: MFC
//
//////////////////////////////////////////////////////////////////////////////
void CWizPropertySheet::OnPaint() 
{
	CPaintDC dc(this); // device context for painting

	CRect rect;
	GetClientRect(&rect);
	TransparentBlt (dc.GetSafeHdc(), (HBITMAP)m_bmp.GetSafeHandle(), 12, (rect.bottom - 31), RGB(0,0,0));

}
